---
source_url: https://www.pubnub.com/docs/sdks/rest-api/remove-all-registrations-for-device-v-1
title: Remove all registrations for device (v1)
---

# Remove all registrations for device (v1)

> For AI agents: documentation index at https://www.pubnub.com/llms-full.txt

Remove all registrations for a device.

Returns array with two elements:

* Array Element 0 - Integer – 1 or 0, where 1 is success, and 0 is error.
* Array Element 1 - String – Description of the success or error, if available. e.g "Removed Device"

| Path Parameters |
| --- |
| `sub_key`string—**REQUIRED**Your app's subscribe key from Admin Portal. |
| `push_token`string—**REQUIRED**Push token of the device.Example: A332C23D |

| Query Parameters |
| --- |
| `type`string—**REQUIRED**Possible values: [apns, fcm]Backend indicator (apns for Apple, fcm for Google)Example: apns |
| `uuid`string—**REQUIRED**A UTF-8 encoded string of up to 92 characters used to identify the client.Example: myUniqueUserId |
| `signature`stringSignature used to verify that the request was signed with the secret key associated with the subscriber key.If Access Manager is enabled, either a valid authorization token or a signature are required.See Access Manager documentation for details on how to compute the signature. |
| `timestamp`integerUnix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 seconds offset from NTP.Required if signature parameter is supplied. |

| Responses |
| --- |
| `200`SuccessSchema — OPTIONAL undefined[] | Schema—**OPTIONAL** | undefined[] |
| Schema—**OPTIONAL** |
| undefined[] |
| `400`Bad RequestSchema — OPTIONALmessage string — OPTIONALerror boolean — OPTIONALservice string — OPTIONALstatus integer — OPTIONAL | Schema—**OPTIONAL** | `message`string—**OPTIONAL** | `error`boolean—**OPTIONAL** | `service`string—**OPTIONAL** | `status`integer—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `error`boolean—**OPTIONAL** |
| `service`string—**OPTIONAL** |
| `status`integer—**OPTIONAL** |

sub_key
*
Type:
string
Your app's subscribe key from
[Admin Portal](https://admin.pubnub.com)
.
push_token
*
Type:
string
Push token of the device.
type
*
Type:
string
Backend indicator (apns for Apple, fcm for Google)
uuid
*
Type:
string
A UTF-8 encoded string of up to 92 characters used to
[identify the client](https://www.pubnub.com/docs/architecture/core-concepts.md)
.
signature
Type:
string
Signature used to verify that the request was signed with the secret key associated with the subscriber key.

If Access Manager is enabled, either a valid authorization token or a signature are required.

See Access Manager documentation for details on how to compute the signature.
timestamp
Type:
integer
Unix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 seconds offset from NTP.

Required if
signature
parameter is supplied.
message
Type:
string
Example:
"Invalid Subscribe Key"
error
Type:
boolean
Example:
true
service
Type:
string
Example:
"Access Manager"
status
Type:
integer
Example:
400
